メインコンテンツまでスキップ

Cloud ロールのプリンシパルを一覧表示する (V2)

Lists users, groups, and API keys directly bound to a Cloud ACL role.

GET/v2/roles/{roleId}/principals
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
roleIdstringpath必要

ロール ID です。

値の例: r-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
projectIdstringquery

定義済みのプロジェクト ロールに対するプロジェクト境界です。

値の例: proj-xxxxxxxx
currentPageintegerquery

返すページ番号です。最初のページは 1 です。

値の例: 1
pageSizeintegerquery

1 ページあたりに返す項目数です。

値の例: 10
bash
export TOKEN="YOUR_API_KEY"
export roleId="r-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/roles/${roleId}/principals" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功結果またはエラーメッセージを返します。

成功レスポンスです。

codeinteger必要

レスポンスコードです。

値の例: 0
dataobject必要
countinteger必要

一致した項目の総数です。

currentPageinteger必要

現在のページ番号です。

値の範囲: ≥ 1
pageSizeinteger必要

要求されたページサイズです。

値の範囲: ≥ 1
principalsarray必要

このページで返されるプリンシパルです。

[]principalsobject必要
principalTypestring必要

プリンシパルのタイプです。

emailstring<email>

プリンシパルがユーザーである場合のメールアドレスです。

groupIdstring

プリンシパルがグループである場合のグループ ID です。

apiKeyIdstring

プリンシパルが API キーである場合の API キー ID です。

principalNamestring必要

プリンシパルの表示名です。

assignedBystring必要

割り当てを行ったユーザーの表示名、または system などの未加工の非ユーザー値です。

assignedAtstring<date-time>必要

UTC ISO 8601 形式での割り当て時刻です。

失敗レスポンスです。

codeinteger必要

レスポンスコードです。

messagestring必要

エラーメッセージです。

Successjson
{
"code": 0,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"principals": [
{
"principalType": "user",
"email": "alice@example.com",
"principalName": "Alice Wang",
"assignedBy": "Bob Li",
"assignedAt": "2026-06-21T00:00:00Z"
},
{
"principalType": "group",
"groupId": "g-xxxxxxxxxxxxxx",
"principalName": "engineering",
"assignedBy": "Bob Li",
"assignedAt": "2026-06-21T00:00:00Z"
},
{
"principalType": "apikey",
"apiKeyId": "key-xxxxxxxxxxxxxx",
"principalName": "Alice's key",
"assignedBy": "system",
"assignedAt": "2026-06-21T00:00:00Z"
}
]
}
}
Ctrl I